Package com.independentsoft.office.spreadsheet

# Enum Class DateTimeGrouping

java.lang.Object
java.lang.Enum<DateTimeGrouping>
com.independentsoft.office.spreadsheet.DateTimeGrouping

All Implemented Interfaces:
  `Serializable`, `Comparable<DateTimeGrouping>`, `Constable`

public enum DateTimeGrouping extends Enum<DateTimeGrouping>
The Enum DateTimeGrouping.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DAY`
  `HOUR`
  `MINUTE`
  `MONTH`
  `NONE`
  `SECOND`
  `YEAR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DateTimeGrouping`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static DateTimeGrouping[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DAY

    public static final DateTimeGrouping DAY

  - ### HOUR

    public static final DateTimeGrouping HOUR

  - ### MINUTE

    public static final DateTimeGrouping MINUTE

  - ### MONTH

    public static final DateTimeGrouping MONTH

  - ### SECOND

    public static final DateTimeGrouping SECOND

  - ### YEAR

    public static final DateTimeGrouping YEAR

  - ### NONE

    public static final DateTimeGrouping NONE

- ## Method Details

  - ### values

    public static DateTimeGrouping[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DateTimeGrouping valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null